#
# Copyright (C) HySoP 2011-2022
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

from hysop.tools.types import check_instance
from hysop.backend.device.kernel_config import KernelConfig
from hysop.backend.device.opencl.opencl_kernel_autotuner_config import OpenClKernelAutotunerConfig

class OpenClKernelConfig(KernelConfig):

    def __init__(self, *args, **kwds):
        super().__init__(*args, **kwds)
        check_instance(self.autotuner_config, OpenClKernelAutotunerConfig)

    def default_autotuner_config(self):
        return OpenClKernelAutotunerConfig()
