#
# Copyright (C) HySoP 2011-2022
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

from abc import ABCMeta, abstractmethod

class HardwareBackend(metaclass=ABCMeta):

    def __init__(self, hardware_topo, **kargs):
        super().__init__(**kargs)
        self._platforms = {}
        self._discover_platforms(hardware_topo)

    @property
    def platforms(self):
        return self._platforms

    @abstractmethod
    def _discover_platforms(self, hardware_topo):
        pass
