#
# Copyright (C) HySoP 2011-2022
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
import numpy as np

from hysop.tools.decorators import debug, profile
from hysop.backend.host.host_operator import HostOperator
from hysop.operator.base.memory_reordering import MemoryReorderingBase
from hysop.core.graph.graph import op_apply

class PythonMemoryReordering(MemoryReorderingBase, HostOperator):
    """
    Inplace and out of place field transposition and permutations in general.
    Uses basic numpy transposition facility.
    """

    @debug
    def __new__(cls, **kwds):
        return super().__new__(cls, **kwds)

    @debug
    def __init__(self, **kwds):
        """Initialize a MemoryReordering operator on the python backend."""
        super().__init__(**kwds)

    @op_apply
    def apply(self, **kwds):
        """MemoryReordering is a no-op."""
        super().apply(**kwds)
        pass
