#!/bin/bash
##
## Copyright (C) HySoP 2011-2022
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##         http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##
set -fe -o pipefail

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

if [ -z "$HYSOP_ROOT" ]; then
    HYSOP_ROOT="${SCRIPT_DIR}"
    echo "Warning: HYSOP_ROOT has not been set."
    echo "Setting HYSOP_ROOT to '${HYSOP_ROOT}'"
fi

export RUN_TESTS=false
export RUN_LONG_TESTS=false
export RUN_EXAMPLES=true
${HYSOP_ROOT}/ci/scripts/test.sh ${HYSOP_ROOT} ${HYSOP_ROOT}/hysop

exit 0
